
package de.ivu.elect.business.internet.boundary;

import java.util.Collections;
import java.util.List;

import de.ivu.elect.business.internet.entity.InternetSeite;
import de.ivu.elect.business.internet.entity.QInternetSeite;
import de.ivu.elect.jee.entity.QueryDsl;

public class InternetSeiteSearch extends AbstractInternetSeiteSearch {

  public InternetSeiteSearch() {
    super();
  }

  @Override
  protected List<InternetSeite> querySearchResult(InternetSeiteSearchParameters searchParameters) {
    if (searchParameters.getWahl() == null) {
      return Collections.emptyList();
    }

    QInternetSeite qInternetSeite = QInternetSeite.internetSeite;

    QueryDsl queryDsl = dao.getQueryDsl();
    queryDsl.from(qInternetSeite);
    queryDsl.eq(qInternetSeite.wahl, searchParameters.getWahl());
    queryDsl.orderBy(qInternetSeite.position.asc());

    return searchParameters.applyLimit(queryDsl).list(qInternetSeite);
  }
}
